<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef roleURI="https://www.transelectrica.ro/role/BalanceSheet" xlink:type="simple" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#BalanceSheet" />
  <link:roleRef roleURI="https://www.transelectrica.ro/role/CashFlow" xlink:type="simple" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#CashFlow" />
  <link:roleRef roleURI="https://www.transelectrica.ro/role/ChangesinEquity" xlink:type="simple" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#ChangesinEquity" />
  <link:roleRef roleURI="https://www.transelectrica.ro/role/ComprehensiveIncome" xlink:type="simple" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#ComprehensiveIncome" />
  <link:roleRef roleURI="https://www.transelectrica.ro/role/GeneralInformation" xlink:type="simple" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#GeneralInformation" />
  <link:roleRef roleURI="https://www.transelectrica.ro/role/IncomeStatement" xlink:type="simple" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#IncomeStatement" />
  <link:calculationLink xlink:type="extended" xlink:role="https://www.transelectrica.ro/role/BalanceSheet">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="Liabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="CurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="TradeAndOtherCurrentPayables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="CurrentLeaseLiabilities" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_TaxLiabilitiesAndSocialContributions" xlink:label="TaxLiabilitiesAndSocialContributions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProvisions" xlink:label="CurrentProvisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAdvances" xlink:label="CurrentAdvances" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="CurrentTaxLiabilitiesCurrent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="NoncurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAdvances" xlink:label="NoncurrentAdvances" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="LongtermBorrowings" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="NoncurrentLeaseLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:label="NoncurrentProvisionsForEmployeeBenefits" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="Equity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="SharePremium" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_LegalReserves" xlink:label="LegalReserves" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RevaluationSurplus" xlink:label="RevaluationSurplus" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherReserves" xlink:label="OtherReserves" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="RetainedEarnings" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="NoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="Assets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="CurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Inventories" xlink:label="Inventories" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="CurrentTaxAssetsCurrent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="OtherCurrentFinancialAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="NoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="PropertyPlantAndEquipment" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="RightofuseAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinancialAssets" xlink:label="FinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Equity" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Liabilities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="NoncurrentLiabilities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Liabilities" xlink:to="CurrentLiabilities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentTaxLiabilitiesCurrent" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentAdvances" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentProvisions" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="TaxLiabilitiesAndSocialContributions" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentLeaseLiabilities" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="TradeAndOtherCurrentPayables" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentProvisionsForEmployeeBenefits" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="DeferredTaxLiabilities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentLeaseLiabilities" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="LongtermBorrowings" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentAdvances" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="NoncontrollingInterests" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Equity" xlink:to="EquityAttributableToOwnersOfParent" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RetainedEarnings" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="OtherReserves" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RevaluationSurplus" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="LegalReserves" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="SharePremium" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="IssuedCapital" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncurrentAssets" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentAssets" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CashAndCashEquivalents" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="OtherCurrentFinancialAssets" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentTaxAssetsCurrent" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="TradeAndOtherCurrentReceivables" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="Inventories" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="FinancialAssets" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="IntangibleAssetsOtherThanGoodwill" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="RightofuseAssets" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="PropertyPlantAndEquipment" order="4" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.transelectrica.ro/role/CashFlow">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_RepaymentsOfBorrowingsLongTerm" xlink:label="RepaymentsOfBorrowingsLongTerm" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" xlink:label="ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_ProceedsFromShortTermBorrowingsSmartCreditLine" xlink:label="ProceedsFromShortTermBorrowingsSmartCreditLine" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="DividendsPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsInvestingActivities" xlink:label="ProceedsFromGovernmentGrantsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="InterestReceivedClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:label="DividendsReceivedClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="CashFlowsFromUsedInOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="AdjustmentsForIncomeTaxExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="AdjustmentsForDepreciationAndAmortisationExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_IncomeFromProductionOfIntangibleAssetsSupplementalOTC" xlink:label="IncomeFromProductionOfIntangibleAssetsSupplementalOTC" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_ImpairmentExpenseTradeReceivables" xlink:label="ImpairmentExpenseTradeReceivables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_AdjustmentsForWritteOffOfSundryDebtors" xlink:label="AdjustmentsForWritteOffOfSundryDebtors" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:label="AdjustmentsForFinanceCosts" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="AdjustmentsForDecreaseIncreaseInInventories" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInOtherLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInDeferredIncomeIncludingContractLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInDeferredIncomeIncludingContractLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="InterestPaidClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInOperatingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInInvestingActivities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInFinancingActivities" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="DividendsPaidClassifiedAsFinancingActivities" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromShortTermBorrowingsSmartCreditLine" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromShortTermBorrowingsWorkingCapitalCreditLine" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBorrowingsLongTerm" order="5" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="DividendsReceivedClassifiedAsInvestingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="InterestReceivedClassifiedAsInvestingActivities" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="ProceedsFromGovernmentGrantsClassifiedAsInvestingActivities" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="5" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestPaidClassifiedAsOperatingActivities" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="CashFlowsFromUsedInOperations" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForIncreaseDecreaseInDeferredIncomeIncludingContractLiabilities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForIncreaseDecreaseInOtherLiabilities" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="4" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="AdjustmentsForDecreaseIncreaseInInventories" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperations" xlink:to="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForFinanceCosts" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForProvisions" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossSundryDebtors" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForWritteOffOfSundryDebtors" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables" order="8" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ImpairmentExpenseTradeReceivables" order="9" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="IncomeFromProductionOfIntangibleAssetsSupplementalOTC" order="10" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForDepreciationAndAmortisationExpense" order="11" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForIncomeTaxExpense" order="12" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ProfitLoss" order="13" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.transelectrica.ro/role/ChangesinEquity">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncome" order="2" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.transelectrica.ro/role/ComprehensiveIncome">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" xlink:label="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncome" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" order="3" weight="-1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.transelectrica.ro/role/GeneralInformation" />
  <link:calculationLink xlink:type="extended" xlink:role="https://www.transelectrica.ro/role/IncomeStatement">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="FinanceIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="FinanceCosts" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue" xlink:label="Revenue" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_TransmissionIncome" xlink:label="TransmissionIncome" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_SystemServicesIncome" xlink:label="SystemServicesIncome" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_BalancingMarketRevenues" xlink:label="BalancingMarketRevenues" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherIncome" xlink:label="OtherIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="OperatingExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_SystemOperationExpense" xlink:label="SystemOperationExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_BalancingMarketExpense" xlink:label="BalancingMarketExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_SystemServicesExpense" xlink:label="SystemServicesExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="DepreciationAndAmortisationExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_WagesAndSalaries" xlink:label="WagesAndSalaries" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepairsAndMaintenanceExpense" xlink:label="RepairsAndMaintenanceExpense" />
    <link:loc xlink:type="locator" xlink:href="254900OLXCOUQC90M036-2022-12-31.xsd#COMPA_MaterialAndConsumableExpense" xlink:label="MaterialAndConsumableExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="OtherExpenseByNature" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossBeforeTax" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="IncomeTaxExpenseContinuingOperations" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ProfitLossFromOperatingActivities" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceIncomeCost" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="FinanceCosts" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="FinanceIncome" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OperatingExpense" order="1" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="Revenue" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Revenue" xlink:to="OtherIncome" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Revenue" xlink:to="BalancingMarketRevenues" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Revenue" xlink:to="SystemServicesIncome" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Revenue" xlink:to="TransmissionIncome" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="OtherExpenseByNature" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="MaterialAndConsumableExpense" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="RepairsAndMaintenanceExpense" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="WagesAndSalaries" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="DepreciationAndAmortisationExpense" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="SystemServicesExpense" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="BalancingMarketExpense" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="SystemOperationExpense" order="8" weight="1" />
  </link:calculationLink>
</link:linkbase>